/* arzberger dr2pat - forms.css */
/* form fields */



/* # CSS1 checkout system */

main  {

    .pic-box  {  /* for uploaded patient pics */
        display: flex;
        gap: 12px;
        img  {
            border: 1px solid #CCC;
            border-radius: 0.8rem;
        }
    }

    .checkout-paginator  {
        display:flex; 
        flex-direction: row;
        justify-content: center; 
        /* gap: 2px; */
        height: 4.5rem;

        .container_circle  {
            display: flex; 
            flex-direction: column; 
            align-items: center; 
            justify-items: flex-start;
            /* border: 1px dashed #ccc; */
            width: 2.8rem;
        }

        .circle  {
            display: flex; 
            align-items: center; 
            justify-content: center; 
            border: 2px solid #555; 
            border-radius: 50%; 
            width: 2.5rem; height:2.5rem;
            font-family: 'Livvic', sans-serif; 
            font-weight: 600;
            font-size: 1.2rem;
            background-color: var(--white);
            color: #555;
        }

        .current  {
            background-color: var(--accent-B);
            color: var(--white);
        }

        .check  {
            font-weight: 400;
            font-size: 1rem;
        }

        .text  {
            padding-top: 0.3rem;
            font-family: 'Livvic', sans-serif; 
            font-weight: 600;
            color: var(--accent-B);
            font-style: italic;
            font-size: 0.8rem;
        }

        .line  {
            border-top: 2px solid #555;
            height: 2px;
            width: 2.8rem;
            margin-top: 1.25rem;
        }

    }
}

/* # CSS1 synposis */

main  {
    .synopsis-box  {
        width: 98%; 
        display: flex; 
        flex-direction: column; 
        justify-content: flex-start; 
        align-items: flex-start;
        padding: 2.5rem;
        background-color: #EEEEEE44;
        border: 1px solid #CCCCCC99;
        border-radius: 1rem;
    }
}


/* # CSS1 CHAT system */

main {
    .chatbox {  /* # weiter chatbox start */
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        
        width: 98%;
        min-width: 90%;
        min-height: 20rem;
        padding: 1.2rem;
        padding-top: 1.8rem;
        padding-bottom: 1.5rem;
        gap: 1.7rem;

        /* background-blend-mode: lighten;  */
        border: 1px solid #CCC;
        border-radius: 13px;
        /* background-color: #FFFFFF87;  */
        background-repeat: no-repeat;
        background-size: contain;
        background-size: 100% auto;
        background-position: bottom -2px left; /*  #F7F7F9 */
        /* background-image: url("pix/chat_bg_tall.png"); */
        background-image: url("pix/chat_bg.png"), linear-gradient(#F7F7F9, #F7F7F9);

        .sender  {
            position: relative;
            opacity: 1;
        }

        .gradient_head  {
            position: relative;
        }

        .mbox_client, .mbox_medic, .sendbox {  
            backdrop-filter: blur(1px) saturate(60%);  
        }

        /* gradient MSG-HEAD  (glassmorphism) */
        /* messages: */
        .mbox_medic .gradient_head::before, .mbox_client .gradient_head::before  {      
            content: '';
            position: absolute;
            inset: 0;
            background-image: linear-gradient(
                180deg,
                hsl(0deg 0% 100% / 0) 0%,
                hsl(0deg 0% 100% / 0.32) 5%,
                hsl(0deg 0% 100% / 0.6) 27%,
                hsl(0deg 0% 100% / 0.75) 55%,
                hsl(0deg 0% 100% / 0.75) 100% 
            );
            opacity: 0.4;
            pointer-events: none;
        }

        /* sendbox: */
        .sendbox .gradient_head::before  {
            content: '';
            position: absolute;
            inset: 0;
            background-image: linear-gradient(
                180deg,
                hsl(0deg 0% 100% / 0) 0%,
                hsl(0deg 0% 100% / 0.32) 5%,
                hsl(0deg 0% 100% / 0.6) 27%,
                hsl(0deg 0% 100% / 0.75) 55%,
                hsl(0deg 0% 100% / 0.75) 100% 
            );
            opacity: 0.4;
            pointer-events: none;
        }

        /* gradient MSG-BODY (glassmorphism) */
        /* messages: */
        .mbox_medic .gradient_body, .mbox_client .gradient_body  {           
            background-image: linear-gradient(
                0deg,
                hsl(0deg 0% 100% / 0) 0%,
                hsl(0deg 0% 100% / 0.23) 5%,
                hsl(0deg 0% 100% / 0.55) 11%,
                hsl(0deg 0% 100% / 0.75) 25%,
                hsl(0deg 0% 100% / 0.75) 100% 
            ); 
        } 
        /* sendbox: */
        .sendbox .gradient_body  {
            background-image: linear-gradient(
                0deg,
                hsl(0deg 0% 100% / 0) 0%,
                hsl(0deg 0% 100% / 0.13) 5%,
                hsl(0deg 0% 100% / 0.35) 12%,
                hsl(0deg 0% 100% / 0.55) 25%,
                hsl(0deg 0% 100% / 0.75) 100% 
            ); 
        }

        .wrap_left, .wrap_right {
            display:flex;
            flex-direction: row;
            margin: 0;
            padding: 0;
            width: 100%;
        }

        .messagehead {  
            display: flex;
            flex-direction: row;
            padding: 0.7rem;
            padding-bottom: 0.3rem;
            border-radius: 13px 13px 0 0;
            border-top: 2px solid white;

            .text_container  {
                padding-top: 0.25rem;
            }

            img { 
                width: 45px;    
                vertical-align: middle;
            }
        }

        .messagebody {  
            padding: 1rem;
            padding-bottom: 1.5rem;

            textarea.chat_input {
                font-family: 'TikTok Sans', sans-serif;
                color: var(--text-dark);
                padding: 0.7rem;
                margin: 0;
                margin-bottom: 0.1rem;
                width: 100%;
                max-width: 100%;
                min-height: 5.8rem;
                border-radius: 8px;  
                border: 1px solid color-mix(in srgb, var(--fieldset-border-inactive) 27%, transparent); 
                background-color: transparent;
                text-align: left;
            }
        }

        .mbox_client, .mbox_medic {  
            width: 70%;
            padding: 0;
            border: 1px solid #FFFFFF2E;
            border-top: 2px solid white;
            border-radius: 13px;
            filter: drop-shadow(2px 2px 9px #00000050);
        }

        .sendbox {    /* # weiter sendbox */
            margin-bottom: 0.7rem;
            width: 100%;
            min-width: 100%;
            padding: 0;
            border: 1px solid #FFFFFF2E;   
            border-top: 2px solid white;
            border-radius: 13px;
            filter: drop-shadow(5px 5px 8px #00000090);

            .messagehead {    
                display: flex;
                flex-direction: row;
                justify-content: flex-start;
                padding-bottom: 0.65rem;
                padding-left: 1rem;
            }

            .messagebody {  
                padding-bottom: 1rem;
                textarea.chat_input {
                    background: #FFFFFF32;
                    border: 1px solid #0000002E;
                }

                textarea.chat_input:focus  {
                    outline: none;
                    background-color: #FFFFFF72;
                    border: 2px solid color-mix(in srgb, var(--accent-B) 95%, transparent); 
                    transition: background-color 1s linear, border-color 1s linear;
                }
            } 
        }

        .sender {
            font-weight: 700;
        }

        .datetime {
            color: color-mix(in srgb, var(--main-txt-soft) 67%, transparent); 
            padding: 0.5rem 0.16rem;
            padding-top: 0.2rem;
            letter-spacing: 0.01rem;
            font-size: 0.8rem;
        }

        .wrap_left {  /* # J2 LEFT SIDE */
            justify-content: flex-start;

            .messagehead {     
                border-bottom: 2px solid var(--accent-A); 
                justify-content: flex-start;

                .text_container  {
                    padding-left: 0.5rem;
                }
            }

            .mbox_medic {  
                text-align: left;
            }
        }

        .wrap_send {  
             .messagehead {   
                border-bottom: 2px solid var(--accent-B);
             }
        }

        .wrap_right {  /* # J2 RIGHT SIDE */
            justify-content: flex-end;

            .messagehead {    
                border-bottom: 2px solid var(--accent-B);
                justify-content: flex-end;

                .text_container  {
                    padding-right: 0.5rem;
                }
             }

            .mbox_client {  
                text-align: right;
            }
        }
    }
/* # weiter chatbox::before */
    /* .chatbox::before {   
        background-color: rgba(0, 0, 0, 0.37);
        content: '';
        display: block;
        height: 100%;
        position: absolute;
        width: 100%;
    } */
}  


/* # CSS1 sections */

/* # CSS2 checkout */
main  {
    .checkout {
        width: 100%;
        padding: 0 0.5rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        .p-info  {
            text-align: center;

        }

        .item-row  {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            width: 100%;
            margin: 0;
            padding: 0;
            line-height: 1.8rem;

            .left  {
                /* background-color: pink; */
                padding-left: 0.3rem;
            }
            .right  {
                padding-right: 0.3rem;
                /* background-color: powderblue; */
            }
            
        }

        .invoice-line  {
            width: 100%;
            margin-top: 0.6rem;
            margin-bottom: 0.3rem;
            border-top: 2px dotted #777;
        }

        .subitem  {
            width: 100%;
            margin: 0;
            padding: 0;
            padding-left: 1.2rem;
            color: #999;
            font-style: italic;
            font-size: 0.8rem;
            /* background: plum; */
        }

        /* # CSS3 payment buttons, credit card */

        .button_cc, .button_paypal {
            display: flex;
            flex-direction: row;
            align-items: center;
            width: 15rem;
            height: 2.625rem;
            margin: 0;
            padding: 0;
            
            border-radius: 0.3rem;
            
        }

        .button_cc {
            justify-content: space-between;
            border: 1px solid #CCC;
            padding: 0 0.8rem;
            background: var(--white);


            .icon-text  {
                font-weight: 600;
                font-size: 1rem;
            }

            .icon-box  {
                text-align: center;
                display: flex;
                flex-direction: row;
                align-items: center;
                gap: 2px;

                img  {
                    height: 18px;
                    vertical-align: middle;
                }
            }
        }

        .button_paypal  {
            border: 1px solid #FFD140;
            .paypal  {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: center;
                width: 100%;
                height: 100%;

                text-align: center;
                background: #FFD140;  /* paypal-gelb #FFD140 → save to colors.css */

                img  {
                    width: 80px;
                    vertical-align: middle;
                }
            }
        }
    }
}



/* # CSS2 client_data */

main {
    form  {
        width:100%;
        min-width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;   
    }


    .client_data  {
        width: 100%;
        padding: 0 0.5rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        .p-std  {
            width: 82%;
            padding-left: 0.5rem;
            text-align: left; 
            line-height: 1.5rem;
        }

        .p-info  {
            line-height: 1.5rem;
        }
    }

    .data  {
        width: 82%;
        min-width: 70%;
    }

    .data-extended  {  /* used for Falltitel in case_new_D.html */
        width: 99%;
        min-width: 90%;
    }

    section.client_query  {  
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 90%;
        max-width: 90%;
    }

    .data fieldset, section.client_query fieldset {
        max-width: 100%;
        margin: 0;
        margin-bottom: 0.7rem;
        padding:0 0.9rem;
        border: 1px solid var(--fieldset-border-inactive);
        border-radius: 8px;
        background-color: var(--fieldset-bg-inactive); 
    }

    /* # CSS3 fieldset green & red */

    .data fieldset.green  {
        border: 2px solid forestgreen;  /* # todo move this color to colors.css */
    }

    .data fieldset.green legend {
        color: forestgreen;          /* same here: move it to colors.css */
    }

    .data fieldset.red  {
        border: 2px solid var(--accent-A);
    }

    .data fieldset.red legend {
        color: var(--accent-A);
    }

    section.client_query fieldset {
        max-width: 82%;
        width: 82%;
        padding: 0 1.3rem;

        .container-01  {
            display: flex;
            flex-direction: column;
            gap: 0.2rem;

            .radio-box  {
                display: flex;
            }

            .radio-box label  {
                display: block;
                padding-left: 0.3rem;
                padding-bottom: 0.02rem;
            }
        }
    }

    .data fieldset:focus-within, section.client_query fieldset:focus-within { 
        border: 1px solid var(--fieldset-border-active);
        background-color: var(--fieldset-bg-active); 
        transition: border-color 1s, background-color 1s;
    }

    .data fieldset legend, section.client_query fieldset legend {
        margin:0;
        margin-left: 3px;
        padding: 0 7px 2px 7px;
        /* #FFFDF2 */
        background-color: var(--legend-bg-inactive); 
        border: 0;
        border-radius: 5px;
        font-family: "Averia Sans Libre", sans-serif; 
        font-size: 0.9rem;
        font-weight: 400; 
        font-style: italic;
        color: var(--legend-txt-inactive);
    }

    .data fieldset:focus-within legend, section.client_query fieldset legend {  
        background-color: var(--legend-bg-active);
        color: var(--legend-txt-active);
        transition: color 1s, background-color 1s;
    }

    .data fieldset input, .data fieldset .icon-box {
        padding: 0.3rem 0;
        margin: 0;
        margin-bottom: 0.6rem;
        width: 100%;
        outline: none;
        border-radius: 5px;
        border: 0;
        background-color: var(--fieldset-bg-inactive); 
        color: var(--input-txt-inactive);
        font-size: 1rem;
    }

    /* # CSS2 icon boxes for input fields */

    .data fieldset input.icon  {
        width: 90%;
    }

    .data fieldset .icon-box  {
        width: 10%;
        text-align: center;
    }






    section.client_query label  {
        font-size: 0.9rem;
    }

    .data input:focus, section.client_query input {  
        background-color: var(--fieldset-bg-active); 
        color: var(--input-txt-active);
        transition: background-color 1s;
        font-size: 1rem;
    } 

    input::placeholder{
        color: #999;
    }

    .data .label {
        padding-top: 1.8rem;
        padding-bottom: 0.8rem;
        color: var(--main-txt-soft);
                             
    }

/* # CSS3 textarea */

    .data textarea {  
        border: 0;
        font-family: "TikTok Sans", sans-serif;
        width: 100%;
        min-height: 5rem;
        margin-top: 0.3rem;
        margin-bottom: 0.5rem;
        outline: none;
        background-color: var(--fieldset-bg-inactive); 
        color: var(--input-txt-inactive);
        font-size: 1rem;
    }

    .data textarea:focus {
        background-color: var(--fieldset-bg-active); 
        color: var(--input-txt-active);
        transition: background-color 1s;
    }


/* # CSS3 file dropzone */

    .data .dropzone {
        display: block;
        border: 2px dashed #999;
        border-radius: 13px;
        padding: 3rem;
        text-align: center;
        cursor: pointer;
        transition: border-color 0.2s;
    }

    .data .dropzone:hover {
        border-color: #333;
    }


/* # CSS2 section AGB */
    .AGB .container-01 {
        width:100%; 
        text-align: center;
    }
}


/* # CSS1 general Info  */

    .Info .container-01 {
        width:100%; 
        text-align: center;
    }



/* # CSS1 OVERLAY window */ 


main {

    /* the toggle */
    #info-toggle {
        display: none;
    }

    /* this is the parent-section that looks for the checked toggle in children */
    .AGB:has(#info-toggle:checked) .overlay, .client_query:has(#info-toggle:checked) .overlay {
        opacity: 1;
        pointer-events: auto;
    }

    .info-window  {
        display:flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 50px;
        width: calc(var(--content-width-monitor-max) - 10%);
        max-width: calc(var(--content-width-monitor-max) - 10%);
        background-color: var(--white);
        border-radius: 2rem;
        box-shadow: 4px 4px 9px rgba(0, 0, 0, 0.1);
    }

    /* the overlay + window */
    .overlay {
        position: fixed;
        display: grid;
        z-index: 9999;
        inset: 0;
        opacity: 0;
        place-items: center;
        backdrop-filter: blur(2px);
        pointer-events: none;
        transition: opacity 0.3s;
        background-color: #00000022;
    }

    .information  {
        font-size: 1rem;
        text-align: justify;
        line-height: 1.3rem;
        color: var(--main-txt-muted);
        color: var(--main-txt-soft);

        ul  {
            list-style-type: circle;    /* disc, square, none, url('purple.gif') */
            list-style-position: outside;
            margin-left: 5%;
            padding-left: 20px;
            padding-right: 20px;
            width: 90%;
        }

        li  {
            padding-left: 8px;
            padding-top: 6px;
        }
    }
}

/* # CSS1 BUTTONS */

main {

    .button-container  {
        display:flex;
        gap: 12px;
    }

    /* standard buttons red */

    button.primary, button.secondary, .btn-primary, .btn-primaryRed, .btn-secondaryRed, .btn-secondary  {
        font-family: "Beiruti", sans-serif;
        font-optical-sizing: auto;
        font-style: normal;
        margin:0;
        padding: 0.5rem 1.9rem 0.7rem 1.9rem;
        border-radius: 12px;
        font-size: 1.5rem;
        font-weight: 500;
        cursor: pointer;
        letter-spacing: 0.2rem;
        box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
        /* filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.4)); */
    }

    /* button links! */

    .btn-primaryRed  {
        border: 0;
        background-color: var(--btn-primaryRed-bg-std);
        color: var(--btn-primaryRed-txt-std);
    }

    .btn-primary  {
        border: 0;
        background-color: var(--btn-primary-bg-std);
        color: var(--btn-primary-txt-std);
    }

    .btn-primaryRed:hover { 
        border: 0;
        background-color: var(--btn-primaryRed-bg-hover);
        color: var(--btn-primaryRed-txt-hover);
        transition: color 0.5s, background-color 0.5s;
    }

    .btn-primary:hover { 
        border: 0;
        background-color: var(--btn-primary-bg-hover);
        color: var(--btn-primary-txt-hover);
        transition: color 0.5s, background-color 0.5s;
    }

    .btn-primaryRed:active {   
        border: 1px solid var(--btn-primaryRed-border-active);
        background-color: var(--btn-primaryRed-bg-active);
        color: var(--btn-primaryRed-txt-active);
    }

    .btn-primary:active {   
        border: 1px solid var(--btn-primary-border-active);
        background-color: var(--btn-primary-bg-active);
        color: var(--btn-primary-txt-active);
    }



    .button-container a  {
        text-decoration: none;
    }

    .button-container a:active  {  
        color: var(--btn-secondary-txt-active);
        text-decoration: none;
    }



    .btn-secondaryRed  {
        border: 1px solid var(--btn-secondaryRed-border-std);
        background-color: var(--btn-secondaryRed-bg-std);
        color: var(--btn-secondaryRed-txt-std);
    }

    .btn-secondary  {
        border: 1px solid var(--btn-secondary-border-std);
        background-color: var(--btn-secondary-bg-std);
        color: var(--btn-secondary-txt-std);
    }

    .btn-secondaryRed img, .btn-secondary img {
        width: 1rem;
        margin-bottom: -2px;
        margin-right: 0.3rem;
    }

    .btn-secondaryRed:hover { 
        border: 1px solid var(--btn-secondaryRed-border-hover);
        background-color: var(--btn-secondaryRed-bg-hover);
        color: var(--btn-secondaryRed-txt-hover);
        transition: color 0.5s, background-color 0.5s;
    }

    .btn-secondary:hover { 
        border: 1px solid var(--btn-secondary-border-hover);
        background-color: var(--btn-secondary-bg-hover);
        color: var(--btn-secondary-txt-hover);
        transition: color 0.5s, background-color 0.5s;
    }

    .btn-secondaryRed:active {   
        border: 1px solid var(--btn-secondaryRed-border-active);
        background-color: var(--btn-secondaryRed-bg-active);
        color: var(--btn-secondaryRed-txt-active);
    }

    .btn-secondary:active {   
        border: 1px solid var(--btn-secondary-border-active);
        background-color: var(--btn-secondary-bg-active);
        color: var(--btn-secondary-txt-active);
    }

    /* standard buttons blue */

    button.primary  {
        border: 0;
        background-color: var(--btn-primary-bg-std);
        color: var(--btn-primary-txt-std);
    }

    button.primary:hover { 
        border: 0;
        background-color: var(--btn-primary-bg-hover);
        color: var(--btn-primary-txt-hover);
        transition: color 0.5s, background-color 0.5s;
    }

    button.primary:active {   
        border: 1px solid var(--btn-primary-border-active);
        background-color: var(--btn-primary-bg-active);
        color: var(--btn-primary-txt-active);
    }

    button.secondary  {
        border: 1px solid var(--btn-secondary-border-std);
        background-color: var(--btn-secondary-bg-std);
        color: var(--btn-secondary-txt-std);
    }

    button.secondary:hover { 
        border: 1px solid var(--btn-secondary-border-hover);
        background-color: var(--btn-secondary-bg-hover);
        color: var(--btn-secondary-txt-hover);
        transition: color 0.5s, background-color 0.5s;
    }

    button.secondary:active {   
        border: 1px solid var(--btn-secondary-border-active);
        background-color: var(--btn-secondary-bg-active);
        color: var(--btn-secondary-txt-active);
    }
}







/* # CSS1 NOTES  */

.test  {
    font-family: "Bellota", system-ui;     /* ++ */
    font-family: "ABeeZee", sans-serif;   /* ++ */
    font-family: "Averia Sans Libre", sans-serif; /* ++ */
    font-family: "Alegreya Sans", sans-serif;
    font-family: "Cormorant Garamond", serif;
    font-family: "Alegreya Sans SC", sans-serif;
    font-size: 400;
    font-style: italic;
}
